Page MenuHomePhabricator

[Import/export compatibility] Special:Import and importDump.php should ignore unrecognized tags
Closed, ResolvedPublic

Description

Quoting Chad on Ie8783e87: «Really, Import should be fixed so it doesn't explode on unrecognized tags :(».
And the fix should probably be backported to all previous releases.
(I've no idea if we have other import/export backwards compatibility problems.)


Version: 1.16.x
Severity: enhancement

Details

Reference
bz41938

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:52 AM
bzimport set Reference to bz41938.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Nov 9 2012, 11:24 PM
demon added a comment.Nov 9 2012, 11:53 PM

It's not a regression, it's always been this way :(

As commented in the change, the Import format was rewritten in 1.17, and I don't think it explodes on unrecognized tags from that version on.
As our last supported version is 1.18, I think we can close this bug after adding tests (and verifying they pass).

TTO added a comment.Jan 23 2014, 8:47 AM

A parser test is not relevant to this bug.

demon removed a subscriber: demon.Aug 19 2015, 5:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2015, 5:22 PM
TTO added a comment.Sep 23 2015, 12:24 PM

Per Platonides, I don't think Import blows up on unexpected tags nowadays; I think it just silently ignores them (for better or worse).

This just needs some manual testing and unit tests.

Change 262336 had a related patch set uploaded (by Georggi199):
Tests: Reflect recent changes to MediaWiki import structure

https://gerrit.wikimedia.org/r/262336

Change 262435 had a related patch set uploaded (by Georggi199):
PHPUnit: Added test for unknown tags

https://gerrit.wikimedia.org/r/262435

Change 262336 merged by jenkins-bot:
Tests: Reflect recent changes to MediaWiki import structure

https://gerrit.wikimedia.org/r/262336

Change 262435 merged by jenkins-bot:
PHPUnit: Added test for unknown tags

https://gerrit.wikimedia.org/r/262435

TTO closed this task as Resolved.Jan 5 2016, 2:25 PM
TTO assigned this task to Georggi199.
TTO removed a project: Patch-For-Review.
TTO set Security to None.
TTO removed subscribers: gerritbot, wikibugs-l-list.

Another age-old import/export task solved by a Google Code-In student :)